Summary:	PGF image pixbuf-loader for Gtk+
Name:		pgf-pixbuf-loader
Version:	1.2
Release:	1%{?dist}
License:	LGPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	pgf-pixbuf-loader-1.2.tar.gz
Source1:	pgf-gtk-Makefile
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	libpgf gdk-pixbuf2 xdg-utils
BuildRequires:	libpgf-devel gdk-pixbuf2-devel gcc-c++


%define debug_package %{nil}

%description 
PGF image pixbuf-loader plugin for Gtk+ provides read-only access to PGF images

%prep
%setup -q -n %{name}

%build
make -f %{SOURCE1}

%install
install -D libpixbufloader-pgf.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-pgf.so
install -D xdg-pgf.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-pgf.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
xdg-mime install /usr/share/%{name}-%{version}/xdg-pgf.xml

#%preun
#xdg-mime uninstall /usr/share/%{name}-%{version}/xdg-pgf.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%defattr(0755,root,root)
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-pgf.so
/usr/share/%{name}-%{version}/xdg-pgf.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Thu May 9 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for pgf-pixbuf-loader
